summaryrefslogtreecommitdiff
path: root/src/auditor/test-auditor.sh
diff options
context:
space:
mode:
authorChristian Grothoff <grothoff@gnunet.org>2022-09-21 10:46:57 +0200
committerChristian Grothoff <grothoff@gnunet.org>2022-09-21 10:46:57 +0200
commitf365fc0730c2243c4fdff5de91f3ad575106398f (patch)
tree55c0ca250b1be1ffa885f4208530d67456763b75 /src/auditor/test-auditor.sh
parent3fa9f3bb12635c6bbb50b763e2c955d73e2e37fa (diff)
downloadexchange-f365fc0730c2243c4fdff5de91f3ad575106398f.tar.gz
exchange-f365fc0730c2243c4fdff5de91f3ad575106398f.tar.bz2
exchange-f365fc0730c2243c4fdff5de91f3ad575106398f.zip
-try to fix more of test-*.sh
Diffstat (limited to 'src/auditor/test-auditor.sh')
-rwxr-xr-xsrc/auditor/test-auditor.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 937da49f4..831fec67c 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -61,6 +61,9 @@ function exit_fail() {
exit 1
}
+# Clean up leftovers on start
+rm -f libeufin-sandbox.pid libeufin-nexus.pid
+
function stop_libeufin()
{
echo "killing libeufin..."
@@ -68,7 +71,7 @@ function stop_libeufin()
then
echo "Killing libeufin sandbox"
PID=`cat libeufin-sandbox.pid 2> /dev/null`
- kill $PID || true
+ kill $PID 2> /dev/null || true
wait $PID
rm libeufin-sandbox.pid
fi
@@ -76,7 +79,7 @@ function stop_libeufin()
then
echo "Killing libeufin nexus"
PID=`cat libeufin-nexus.pid 2> /dev/null`
- kill $PID || true
+ kill $PID 2> /dev/null || true
wait $PID
rm libeufin-nexus.pid
fi
@@ -2079,6 +2082,7 @@ export PGHOST
MYDIR=`mktemp -d /tmp/taler-auditor-basedbXXXXXX`
echo "Generating fresh database at $MYDIR"
+rm -f $DB.sqlite3 2> /dev/null || true # libeufin
if faketime -f '-1 d' ./generate-auditor-basedb.sh $MYDIR/$DB
then
check_with_database $MYDIR/$DB